NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Formboard::ShapeSegmentBuilder Class Reference

Builder for Face Annotation functionality used in formboard. More...

Inheritance diagram for NXOpen::Formboard::ShapeSegmentBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

void AddRadialPivot (const NXOpen::Point3d &pivotLocation, int bendMethod, double bendValue)
 
Created in NX7.5.0. More...
 
int AddSplinePoint (const NXOpen::Point3d &pointLocation)
 Adds a point to the existing spline. More...
 
void ChangeType (int newType)
 
Created in NX7.5.0. More...
 
void CommitCurrentOperation ()
 
Created in NX7.5.0. More...
 
void CreateNewRadialBend (const NXOpen::Point3d &firstPivot, int firstBendMethod, double firstBendValue, const NXOpen::Point3d &secondPivot, int secondBendMethod, double secondBendValue)
 
Created in NX7.5.0. More...
 
void CreateNewSpline (const NXOpen::Point3d &anchorLocation, const NXOpen::Point3d &firstPoint, const NXOpen::Point3d &secondPoint)
 
Created in NX7.5.0. More...
 
void GetLineData (NXOpen::Routing::ISegment **anchorSeg, NXOpen::Routing::ControlPoint **anchorRcp, double *angle)
 
Created in NX7.5.0. More...
 
void NewSegment (NXOpen::Routing::ISegment *newSegment)
 
Created in NX7.5.0. More...
 
void RemoveRadialPivot (int pivotIndex)
 
Created in NX7.5.0. More...
 
void RemoveSplinePoint (int pointIndex)
 
Created in NX7.5.0. More...
 
void SetActiveView (NXOpen::TaggedObject *view)
 Sets the active view for the shape operation. More...
 
void SwapAnchorEnd ()
 
Created in NX7.5.0. More...
 
void UpdateLineAngleVec (const NXOpen::Vector3d &newDir)
 
Created in NX7.5.0. More...
 
void UpdateRadialPivot (int pivotIndex, const NXOpen::Point3d &newLocation, int newBendMethod, double newBendValue)
 
Created in NX7.5.0. More...
 
void UpdateSplinePoint (int pointIndex, const NXOpen::Point3d &pointLocation, bool inDrag)
 
Created in NX7.5.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Builder for Face Annotation functionality used in formboard.

It allows importing CGM or Pattern file geometry and placing it on a drawing sheet or model view. As a result of this a group of dumb geometry is placed such that defined origin is located at the lower left hand of the bounding box containing the group of geometry.
To create a new instance of this class, use NXOpen::Formboard::FormboardManager::CreateShapeSegmentBuilder

Created in NX7.5.0.

Member Function Documentation

void NXOpen::Formboard::ShapeSegmentBuilder::AddRadialPivot ( const NXOpen::Point3d pivotLocation,
int  bendMethod,
double  bendValue 
)


Created in NX7.5.0.



License requirements : routing_harness ("Routing Harness")

Parameters
pivotLocationpivotlocation
bendMethodbendmethod
bendValuebendvalue
int NXOpen::Formboard::ShapeSegmentBuilder::AddSplinePoint ( const NXOpen::Point3d pointLocation)

Adds a point to the existing spline.

Returns

Created in NX7.5.0.

License requirements : routing_harness ("Routing Harness")
Parameters
pointLocationpointlocation
void NXOpen::Formboard::ShapeSegmentBuilder::ChangeType ( int  newType)


Created in NX7.5.0.



License requirements : routing_harness ("Routing Harness")

Parameters
newTypenewtype
void NXOpen::Formboard::ShapeSegmentBuilder::CommitCurrentOperation ( )


Created in NX7.5.0.



License requirements : routing_harness ("Routing Harness")

void NXOpen::Formboard::ShapeSegmentBuilder::CreateNewRadialBend ( const NXOpen::Point3d firstPivot,
int  firstBendMethod,
double  firstBendValue,
const NXOpen::Point3d secondPivot,
int  secondBendMethod,
double  secondBendValue 
)


Created in NX7.5.0.



License requirements : routing_harness ("Routing Harness")

Parameters
firstPivotfirstpivot
firstBendMethodfirstbendmethod
firstBendValuefirstbendvalue
secondPivotsecondpivot
secondBendMethodsecondbendmethod
secondBendValuesecondbendvalue
void NXOpen::Formboard::ShapeSegmentBuilder::CreateNewSpline ( const NXOpen::Point3d anchorLocation,
const NXOpen::Point3d firstPoint,
const NXOpen::Point3d secondPoint 
)


Created in NX7.5.0.



License requirements : routing_harness ("Routing Harness")

Parameters
anchorLocationanchorlocation
firstPointfirstpoint
secondPointsecondpoint
void NXOpen::Formboard::ShapeSegmentBuilder::GetLineData ( NXOpen::Routing::ISegment **  anchorSeg,
NXOpen::Routing::ControlPoint **  anchorRcp,
double *  angle 
)


Created in NX7.5.0.



License requirements : routing_harness ("Routing Harness")

Parameters
anchorSeganchorseg
anchorRcpanchorrcp
angleangle
void NXOpen::Formboard::ShapeSegmentBuilder::NewSegment ( NXOpen::Routing::ISegment newSegment)


Created in NX7.5.0.



License requirements : routing_harness ("Routing Harness")

Parameters
newSegmentnewsegment
void NXOpen::Formboard::ShapeSegmentBuilder::RemoveRadialPivot ( int  pivotIndex)


Created in NX7.5.0.



License requirements : routing_harness ("Routing Harness")

Parameters
pivotIndexpivotindex
void NXOpen::Formboard::ShapeSegmentBuilder::RemoveSplinePoint ( int  pointIndex)


Created in NX7.5.0.



License requirements : routing_harness ("Routing Harness")

Parameters
pointIndexpointindex
void NXOpen::Formboard::ShapeSegmentBuilder::SetActiveView ( NXOpen::TaggedObject view)

Sets the active view for the shape operation.


Created in NX7.5.0.

License requirements : routing_harness ("Routing Harness")

Parameters
viewview
void NXOpen::Formboard::ShapeSegmentBuilder::SwapAnchorEnd ( )


Created in NX7.5.0.



License requirements : routing_harness ("Routing Harness")

void NXOpen::Formboard::ShapeSegmentBuilder::UpdateLineAngleVec ( const NXOpen::Vector3d newDir)


Created in NX7.5.0.



License requirements : routing_harness ("Routing Harness")

Parameters
newDirnewdir
void NXOpen::Formboard::ShapeSegmentBuilder::UpdateRadialPivot ( int  pivotIndex,
const NXOpen::Point3d newLocation,
int  newBendMethod,
double  newBendValue 
)


Created in NX7.5.0.



License requirements : routing_harness ("Routing Harness")

Parameters
pivotIndexpivotindex
newLocationnewlocation
newBendMethodnewbendmethod
newBendValuenewbendvalue
void NXOpen::Formboard::ShapeSegmentBuilder::UpdateSplinePoint ( int  pointIndex,
const NXOpen::Point3d pointLocation,
bool  inDrag 
)


Created in NX7.5.0.



License requirements : routing_harness ("Routing Harness")

Parameters
pointIndexpointindex
pointLocationpointlocation
inDragindrag

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.